Package Details: miopen 2.3.0.1.8.1-2

Git Clone URL: https://aur.archlinux.org/miopen.git (read-only)
Package Base: miopen
Description: AMD's Machine Intelligence Library
Upstream URL: https://github.com/ROCmSoftwarePlatform/MIOpen
Licenses: NCSAOSL
Submitter: farnoy
Maintainer: farnoy
Last Packager: farnoy
Votes: 3
Popularity: 0.414834
First Submitted: 2018-12-21 19:10
Last Updated: 2019-05-08 17:45

Latest Comments

farnoy commented on 2019-03-07 19:32

Thanks, added and bumped to 1.7.1.

ulyssesrr commented on 2019-03-03 03:41

Missing depends on clang-ocl

Cloning into 'MIOpen'...
done.
Switched to a new branch 'makepkg'
==> Iniciando build()...
-- The C compiler identification is GNU 8.2.1
-- The CXX compiler identification is Clang 8.0.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /opt/rocm/hcc/bin/hcc
-- Check for working CXX compiler: /opt/rocm/hcc/bin/hcc -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at CMakeLists.txt:118 (message):
  clang-ocl not found


-- Configuring incomplete, errors occurred!

farnoy commented on 2019-02-11 23:57

I recommend trying out docker for now. They bundle all of the userspace needed to drive the kernel. Getting these scripts right for Arch is going to take more time.

farnoy commented on 2019-02-11 23:24

I am having the same kinds of problems still when trying tensorflow. I will check with upstream if they can help me. Meanwhile, I'll push all the changes for rocm 2.1.0. HCC & HIP seem to work after upgrade.

farnoy commented on 2019-02-11 13:01

A while ago I've had some problems building rocm/tensorflow-upstream locally, but I'll try

enihcam commented on 2019-02-11 12:56

Thanks!

Could you please write a PKGBUILD to just re-package tensorflow-rocm and include all the necessary dependencies?

Hope one day these packages can be pushed to official repository. :)

farnoy commented on 2019-02-11 11:53

@enihcam pretty much everything from this list: https://aur.archlinux.org/packages/?K=farnoy&SeB=m

I will be doing an upgrade to ROCm 2.1.0 soon and I will write down the steps somewhere. Previously, I was able to use tensorflow-rocm from pypi with just my packages but it broke along the way. You can wait a couple of days if you don't want to deal with these things yourself. I should have all the fixes by the end of the week.

enihcam commented on 2019-02-11 11:43

Which packages need to be installed for running tensorflow-rocm? @farnoy

farnoy commented on 2019-02-01 10:50

I'm not sure, do you have a specific need for something that is missing?

limadm commented on 2019-02-01 02:02

I found that after installing, /opt/rocm/miopen/include/ is missing a lot of headers from MIOpen/src/include. This is an upstream problem, right?